Update von 4.8.4 nach 4.8.7 fehlgeschlagen

Hallo zusammen,

nachdem es bei einem Shop gut geklappt hat, habe ich es bei meinem zweiten shop genauso mit dem kumulativen uopdate von 4.8.4 auf 4.8.7 probiert.

Leider hat das nicht funktioniert, oxchkversion liefert untenstehendes Ergebnis.

Da ich jetzt nichts komplett zerstören will, möchte ich fragen, was der beste Weg ist die VErsion 4.8.7 zum laufen zu bekommen.

Danke!

Jens

application/components/widgets/oxwarticledetails.php Version mismatch
application/components/oxcmp_shop.php Version mismatch
application/components/oxcmp_user.php Version mismatch
application/components/oxlocator.php Version mismatch
application/controllers/admin/ajaxlistcomponent.php Version mismatch
application/controllers/admin/category_main.php Version mismatch
application/controllers/admin/discount_main.php Version mismatch
application/controllers/admin/login.php Version mismatch
application/controllers/admin/oxadmindetails.php Version mismatch
application/controllers/admin/shop_main.php Version mismatch
application/controllers/basket.php Version mismatch
application/controllers/details.php Version mismatch
application/controllers/download.php Version mismatch
application/controllers/newsletter.php Version mismatch
application/controllers/order.php Version mismatch
application/controllers/oxstart.php Version mismatch
application/controllers/oxubase.php Version mismatch
application/models/oxarticle.php Version mismatch
application/models/oxbasket.php Version mismatch
application/models/oxcountry.php Version mismatch
application/models/oxcurl.php Version mismatch
application/models/oxdelivery.php Version mismatch
application/models/oxfile.php Version mismatch
application/models/oxnewssubscribed.php Version mismatch
application/models/oxorderarticle.php Version mismatch
application/models/oxorderfile.php Version mismatch
application/models/oxshop.php Version mismatch
application/models/oxuser.php Version mismatch
application/translations/de/lang.php Version mismatch
application/translations/de/translit_lang.php Version mismatch
application/translations/en/lang.php Version mismatch
application/views/admin/de/help_lang.php Version mismatch
application/views/admin/de/lang.php Version mismatch
application/views/admin/en/help_lang.php Version mismatch
application/views/admin/en/lang.php Version mismatch
application/views/admin/tpl/article_extend.tpl Version mismatch
application/views/admin/tpl/shop_config.tpl Version mismatch
application/views/admin/tpl/usergroup_main.tpl Version mismatch
application/views/azure/tpl/layout/sidebar.tpl Modified
application/views/azure/tpl/page/checkout/inc/basketcontents.tpl Version mismatch
application/views/azure/tpl/page/checkout/order.tpl Version mismatch
application/views/azure/theme.php Version mismatch
core/adodblite/adodb-perf.inc.php Version mismatch
core/exception/oxexceptionhandler.php Version mismatch
core/smarty/plugins/function.oxmultilang.php Version mismatch
core/smarty/plugins/modifier.colon.php Version mismatch
core/smarty/plugins/modifier.oxmultilangassign.php Version mismatch
core/smarty/plugins/oxemosadapter.php Version mismatch
core/oxbase.php Version mismatch
core/oxconfig.php Version mismatch
core/oxdbmetadatahandler.php Version mismatch
core/oxinputvalidator.php Version mismatch
core/oxmodule.php Version mismatch
core/oxsepavalidator.php Version mismatch
core/oxshopcontrol.php Version mismatch
core/oxutils.php Version mismatch
modules/oe/invoicepdf/myorder.php Version mismatch

Hi,

war denn vor dem Update alles i.O.?

Zur Fehlerbeseitigung musst du nur die bemängelten Dateien in deinen Shop gegen die korrekten Dateien tauschen. Also eine neue 4.8.7 downloaden und die aufgelisteten Dateien (oder ganze Ordner) uploaden.

Bei den Dateien in application/views/azure/tpl/… könnten evtl. eigene Template-Änderungen vorgenommen worden sein, die wären dann natürlich weg. Besser ein Childtheme verwenden.

Danke. Nein vorher war alles OK. Guter Tip, mache ich sofort mal.

Tja, das hat nichts genützt. Zwar zeigt der oxchkversion jetzt an, das alles OK ist, ist es aber nicht. Beim Testkauf kommt im letzten Schritt immer der Hinweis, daß der Artikel, der im Warenkorb liegt nicht merh verfügbar sei und danach hat der im Warenkorb liegende Artikel auch kein Bild mehr. Was mir auch aufgefallen ist, ist daß alle Datein des 4.8.7 einn Datum aus dem Juli 2014 haben und die Daietein in den Ordnern, in denen die fehlerhaften Dateien liegen, alle noch aus dem März 2014 also von der ursprünglichen Installation waren.

tmp geleert und views neu generiert?

Wenn alles nichts hilft, installier auf einem Testserver eine 4.8.7, spiel die db aus dem live-system ein und wenn alles funktioniert lösch das livesystem und schieb die funktionierende installation rüber.

Danke, ich habe jetzt einfach das update noch ein drittes Mal gemacht und zumindest funktioniert es jetzt wieder so, daß ich selber eine fehlerfreien Testkauf machen konnte. Ich werde das mal auf Herz und Nieren testen und hoffe, daß es damit erledigt ist. Puh!..

Bist du nach dieser Anleitung vorgegangen?